PLM之家 UG NX10.0二次开发(ufun和NXOpen C++)网络培训火热报名

PLM之家-上海点团信息科技有限公司工业4.0数字化软件官方知识管理平台

查看: 3254|回复: 5

[已解决] fatal error LNK1120: 6 个无法解析的外部命令怎么解决?

  [复制链接]

该用户从未签到

3

主题

34

帖子

120

积分

注册会员

Rank: 2

积分
120
发表于 2016-6-4 23:49:15 | 显示全部楼层 |阅读模式
完全按照NX9.0二次开发实例 6 使用NXOpen CPP创建圆柱.来做的。却出现了错误. R$ m: {1 _. E$ b
1>------ 已启动全部重新生成: 项目: NX9 Open Wizard1, 配置: DebUG x64 ------
. [4 v8 ]. z) F/ m  ^# D! ]$ C1>cl : 命令行 warning D9038: 此平台上不支持 /ZI;请启用 /Zi
  O8 P& i1 a6 g! U1>cl : 命令行 warning D9007: “/Gm”需要“/Zi”;选项被忽略3 ^) \+ q7 D; O1 L7 y
1>  NX9 Open Wizard1.cpp
& K' @5 B8 u9 Z( @1>     正在创建库 I:\ug\My_directory\visual studio 2012\NX9 Open Wizard1\x64\Debug\/NX9 Open Wizard1.lib 和对象 I:\ug\My_directory\visual studio 2012\NX9 Open Wizard1\x64\Debug\/NX9 Open Wizard1.exp3 E; g* ?9 J# ?
1>NX9 Open Wizard1.obj : error LNK2019: 无法解析的外部符号 "__declspec(dllimport) public: class NXOpen::Features::Feature * __cdecl NXOpen::Features::FeatureBuilder::CommitFeature(void)" (__imp_?CommitFeature@FeatureBuilder@Features@NXOpen@@QEAAPEAVFeature@23@XZ),该符号在函数 ufsta 中被引用
4 f  l2 J% ?' K1>NX9 Open Wizard1.obj : error LNK2019: 无法解析的外部符号 "__declspec(dllimport) public: class NXOpen::Expression * __cdecl NXOpen::Features::CylinderBuilder:iameter(void)" (__imp_?Diameter@CylinderBuilder@Features@NXOpen@@QEAAPEAVExpression@3@XZ),该符号在函数 ufsta 中被引用
. \& ^* H8 V$ E4 s" z! }$ E1>NX9 Open Wizard1.obj : error LNK2019: 无法解析的外部符号 "__declspec(dllimport) public: class NXOpen::Expression * __cdecl NXOpen::Features::CylinderBuilder::Height(void)" (__imp_?Height@CylinderBuilder@Features@NXOpen@@QEAAPEAVExpression@3@XZ),该符号在函数 ufsta 中被引用
+ v8 o' U7 [& k8 M1>NX9 Open Wizard1.obj : error LNK2019: 无法解析的外部符号 "__declspec(dllimport) public: void __cdecl NXOpen::Features::CylinderBuilder::SetOrigin(struct NXOpen:oint3d const &)" (__imp_?SetOrigin@CylinderBuilder@Features@NXOpen@@QEAAXAEBUPoint3d@3@@Z),该符号在函数 ufsta 中被引用
/ B  J  J2 ]. ]# E1>NX9 Open Wizard1.obj : error LNK2019: 无法解析的外部符号 "__declspec(dllimport) public: void __cdecl NXOpen::Features::CylinderBuilder::SetDirection(struct NXOpen::Vector3d const &)" (__imp_?SetDirection@CylinderBuilder@Features@NXOpen@@QEAAXAEBUVector3d@3@@Z),该符号在函数 ufsta 中被引用5 H# K+ z& y: c3 s/ X# P2 \6 a; K
1>NX9 Open Wizard1.obj : error LNK2019: 无法解析的外部符号 "__declspec(dllimport) public: class NXOpen::Features::CylinderBuilder * __cdecl NXOpen::Features::FeatureCollection::CreateCylinderBuilder(class NXOpen::Features::Feature *)" (__imp_?CreateCylinderBuilder@FeatureCollection@Features@NXOpen@@QEAAPEAVCylinderBuilder@23@PEAVFeature@23@@Z),该符号在函数 ufsta 中被引用
/ o0 V# }- E( I1>I:\ug\My_directory\visual studio 2012\NX9 Open Wizard1\x64\Debug\/NX9 Open Wizard1.dll : fatal error LNK1120: 6 个无法解析的外部命令
' i$ L! y5 D( X% s; f========== 全部重新生成: 成功 0 个,失败 1 个,跳过 0 个 ==========
' k: o5 f+ W9 V: S  X8 a% w
7 D8 [9 m7 A/ a" v. P5 Y  Q  I
8 E: V$ G% E! {3 e, ?' Y! ]

0 c( [$ ]% G' I5 r7 A6 U" o
: D. v9 y6 B4 d2 J( R
2 Z5 l* n& T% c/ G2 V
我把开头的都加进来了
$ Z* K8 j. J6 m0 y( @2 N5 N# ^#if ! defined ( __hp9000s800 ) && ! defined ( __sgi ) && ! defined ( __sun )9 c( V2 Q: N0 }4 ?) Y) j
#   include <strstream>
5 I5 ~& [+ p& M$ }5 T3 d( x#   include <iostream>
3 t: Q, l* k2 H    using std:strstream;' P: l8 s4 J/ _
    using std::endl;    - P" f( O, z1 o  K) m1 }
    using std::ends;2 ^' J% b% c% d. v! e9 {! h
    using std::cerr;
/ G# m7 s$ _, u/ A# c" b#else- @8 K- O: k3 n- M1 d4 t" N
#   include <strstream.h>7 l" {, n% N8 |6 M: Z4 r
#   include <iostream.h>
. P/ B( B0 T7 a* t#endif
6 f% A1 y* g$ s  D- O# J#include <uf.h>6 }& L7 i( ~7 t$ e6 W. j; i4 B6 _
#include <uf_ui.h>6 O6 k' N8 j2 P
#include <uf_exit.h>
; y* _  R6 W. O3 f( z3 H#include <uf_defs.h>! M# j$ S/ X6 _
#include <NXOpen/NXException.hxx>9 C3 G- D5 z1 k! r9 E% D
#include <NXOpen/Session.hxx>
  T! r; M' w$ }# C* R5 e: B#include <NXOpen/Axis.hxx>3 Q5 n2 j; n. k% L1 J  o  }4 I. A
#include <NXOpen/BasePart.hxx>. J5 F, G8 M+ b
#include <NXOpen/Body.hxx>; \9 g1 K. T4 H! r6 p+ z' D
#include <NXOpen/Builder.hxx>
/ d8 {: J8 ~1 x& b8 f2 O#include <NXOpen/Direction.hxx>
. a/ W3 q9 z% h  N#include <NXOpen/DirectionCollection.hxx>
* m+ r2 L- m5 ^* Q/ S' W6 e#include <NXOpen/Expression.hxx>
7 f( w( Q: m7 a0 N8 i1 Q2 x$ M8 Y5 A#include <NXOpen/ExpressionCollection.hxx>8 H) Q, R( @) K# p* ]" s
#include <NXOpen/Features_CylinderBuilder.hxx># ^0 e4 t; C$ K( r( Y0 i, n
#include <NXOpen/Features_FeatureCollection.hxx>
1 {  V9 C( G* P; R3 x' H#include <NXOpen/GeometricUtilities_BooleanOperation.hxx>
" h3 ]6 M! z+ [+ \2 M* E$ i2 k#include <NXOpen/NXObject.hxx>
) [  L' k& N2 Y: j* g8 t1 [#include <NXOpen/Part.hxx>
+ Y" R- N$ }+ }1 u#include <NXOpen/ParTCollection.hxx>
9 s3 A8 Y0 d% Z5 o. x2 c#include <NXOpen/Point.hxx>
! v* f/ E, R# U% m0 O: Z3 ^#include <NXOpen/PointCollection.hxx>
+ _0 w0 Z! S$ a4 H4 Z# E" M#include <NXOpen/Preferences_PartModeling.hxx>
- s2 d' G4 s- x9 x! U4 l#include <NXOpen/Preferences_PartPreferences.hxx>
+ r! f" U0 _) _9 W/ g$ }#include <NXOpen/Scalar.hxx>
- V! k. C* X+ Y% ?' C2 ?5 o& I#include <NXOpen/ScalarCollection.hxx>) t, I0 @$ C8 u3 x
#include <NXOpen/SelectICurve.hxx>
0 O8 Z3 ^3 ~' f2 d- ~#include <NXOpen/SelectObject.hxx>2 N  x1 j6 J: i5 G9 o
#include <NXOpen/Session.hxx>+ C; T, S! C2 n' `7 j
#include <NXOpen/TaggedObject.hxx>! e' w. m7 h* a! N
#include <NXOpen/Unit.hxx>
) U) m3 i$ C7 Z# {5 s" f% f: u% q 00.jpg 0 b5 H2 P% C0 \/ k' f
我点代码的时候还有定义啊 . s4 @. Q; D, q/ n

9 E2 h5 O3 o% ?" ^这个到底该怎么解决啊 ) V3 s' G5 R3 q) p0 y; a5 R

9 [4 ~" x7 e1 z, ^
回复

使用道具 举报

  • TA的每日心情

    5 天前
  • 签到天数: 77 天

    [LV.6]常住居民II

    1834

    主题

    3494

    帖子

    5万

    积分

    管理员

    PLM之家mildcat

    Rank: 9Rank: 9Rank: 9

    积分
    56726
    发表于 2016-6-5 07:25:30 | 显示全部楼层
    库不全,加其他的库
    PLM之家,专业的NX,Teamcenter学习视频网。PLM之家科技,承接二次开发,视频定制,实施培训等业务。www.plmhome.com; && www.plmhome.net-->-->点团信息科技-->-->欢迎联系我们--QQ 939801026
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    3

    主题

    34

    帖子

    120

    积分

    注册会员

    Rank: 2

    积分
    120
     楼主| 发表于 2016-6-5 09:45:22 | 显示全部楼层
    所有都加进去啊?
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    3

    主题

    34

    帖子

    120

    积分

    注册会员

    Rank: 2

    积分
    120
     楼主| 发表于 2016-6-5 09:58:38 | 显示全部楼层
    按照大哥所说的。。成功了。。我把所有的库都加进去了libufun.lib0 {7 k8 o! k- _) D" o  Q$ Y
    libufun_cae.lib5 n. X, p6 ^2 j+ ]
    libnxopencpp.lib
    3 N  [& s: I/ ylibugopenint.lib
    5 @6 g+ x8 {6 e" ^+ k( A* plibugopenint_cae.lib7 N3 p8 J$ O& l
    libnxopenuicpp.lib
    % A$ N8 k, z. [0 O5 ]" I3 jlibvmathpp.lib
    1 l% K* T% X; N- ^libugopenint_cae.lib
    ( Z+ y: `( i5 I- q8 D4 C. U0 qlibugopenint.lib
    ) ^8 _- X3 i& x- i: ^9 r4 l. ^libufun_cae.lib
    . T6 O- h- O+ z& E& N7 Blibufun.lib
    4 A8 ^2 u' y$ ylibopenpp.lib4 ^. ~. g7 [0 d2 N4 _0 \
    libopenintpp.lib* ]$ M: p4 k1 G8 F0 x7 c5 |, m
    libnxopenuicpp.lib, y% X& V5 y6 a" B' R. L
    libnxopencpp_weld.lib
    , W- N8 c5 r, r+ m+ @( elibnxopencpp_visualreporting.lib
    ' |9 F6 k) a: f& P( F" m( Clibnxopencpp_validate.lib1 a6 l& z% J) K1 [! n
    libnxopencpp_userdefinedobjects.lib
    3 \1 g1 ^; z9 q; X/ ilibnxopencpp_tooling.lib5 |  ^8 X' R$ a) _
    libnxopencpp_sim.lib0 r+ \5 D6 ^" D: k# E
    libnxopencpp_sheetmetal.lib3 C9 E& @. p5 K* k% Z8 D% [
    libnxopencpp_shapesearch.lib" F7 G- K2 G) u, [4 G  S
    libnxopencpp_routing.lib' `6 b' B# s- ?: ?7 g& M; }
    libnxopencpp_preferences.lib* A% N0 G- z8 u0 _/ F
    libnxopencpp_positioning.lib1 P5 H4 x; L; F
    libnxopencpp_physmat.lib) |: z4 K& z$ R5 r
    libnxopencpp_pdm.lib* J* U5 R! K' K& S
    libnxopencpp_partfamily.lib
    ; Z9 a. `- D3 V7 G# d! jlibnxopencpp_options.lib5 `6 u9 n6 |6 a5 e$ R
    libnxopencpp_optimization.lib1 L* `- G9 t+ h8 r: `: r
    libnxopencpp_motion.lib
    ' u' ?4 v- ?' T" v9 x6 p8 V# flibnxopencpp_modldirect.lib
    ; h0 t% B0 q2 \+ Wlibnxopencpp_mechatronics.lib
    " `  L; b2 s2 M9 T6 i+ dlibnxopencpp_layout2d.lib
    ; _7 x* z/ q1 flibnxopencpp_layer.lib+ j! Z3 A5 y8 H1 z
    libnxopencpp_issue.lib
    4 D4 n8 I; t' P3 C# L1 e- s8 F* xlibnxopencpp_geometricutilities.lib
    0 @4 W2 u3 _* b! X) Klibnxopencpp_geometricanalysis.lib6 F+ {* G6 L' U, I
    libnxopencpp_gateway.lib; W' b+ g5 x1 e8 ]- I
    libnxopencpp_formboard.lib
    / [6 H, l, B6 o6 r) B9 U! Glibnxopencpp_fields.lib  S3 w8 }  j7 u" o: o
    libnxopencpp_features.lib
    0 ?* }! _! n5 Ylibnxopencpp_facet.lib& d' D' j5 j7 P6 y1 n
    libnxopencpp_drawings.lib
    * r% O% U0 B$ ?) Olibnxopencpp_drafting.lib; t) a" E, f3 `, t- a- H& n
    libnxopencpp_display.lib ( u$ p# N" x' r/ k! y- s
    libnxopencpp_die.lib
    # q2 g5 z! j: x* x4 `libnxopencpp_cam.lib
    1 z1 G( b0 f7 a% _% s2 T+ Q& y! ]libnxopencpp_cae.lib
    8 o( W0 D2 y" A" J& \( ^libnxopencpp_bodydes.lib
    7 B/ t8 l8 s/ Z0 i  k2 `5 J( S0 A* Qlibnxopencpp_assemblies.lib
    3 N' D, c! y5 v* g; o& Mlibnxopencpp_annotations.lib
      [# d  I: V- \  i- ]4 e1 p. Slibnxopencpp.lib
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    1

    帖子

    6

    积分

    新手上路

    Rank: 1

    积分
    6
    发表于 5 天前 | 显示全部楼层
    专门申请了个账号来感谢楼主以及管理员。这个问题困扰了我好几天了。之前一直死扣dll连接的问题,以为引用4个基本的dll就够了,没想到是因为没引用全。终于解决了哈哈。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情

    5 天前
  • 签到天数: 77 天

    [LV.6]常住居民II

    1834

    主题

    3494

    帖子

    5万

    积分

    管理员

    PLM之家mildcat

    Rank: 9Rank: 9Rank: 9

    积分
    56726
    发表于 4 天前 | 显示全部楼层
    KutouAi 发表于 2017-12-6 14:29
    ( u8 {6 I. q) `; q1 K8 g0 n/ S/ S$ f专门申请了个账号来感谢楼主以及管理员。这个问题困扰了我好几天了。之前一直死扣dll连接的问题,以为引用4 ...

    & K$ D1 q9 R$ ^# Q& t这是基本的问题,很常见,看看视频,一劳永逸的方法就是全加进去
    PLM之家,专业的NX,Teamcenter学习视频网。PLM之家科技,承接二次开发,视频定制,实施培训等业务。www.plmhome.com; && www.plmhome.net-->-->点团信息科技-->-->欢迎联系我们--QQ 939801026
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | QQ关联注册

    本版积分规则



    <

    QQ|小黑屋|手机版|Archiver|PLM之家-工业4.0数字化驱动之家 ( 沪ICP备13003373-3

    GMT+8, 2017-12-11 12:18 , Processed in 0.166644 second(s), 34 queries .

    Powered by PLM之家科技! X3.2

    © 2001-2013 PLMHome Inc.

    快速回复 返回顶部 返回列表